# Class CeaMetadata

java.lang.Object
uk.ac.starlink.ttools.cea.CeaMetadata

public class CeaMetadata extends Object
Encapsulates the metadata required for a CEA application description.

Since:
  20-MAR-2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`CeaMetadata(String ivorn, String shortName, String longName, String refUrl, String description)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static CeaMetadata`
`createStiltsMetadata(CeaTask[] tasks)`
Creates a metadata object for the STILTS application with a given list of tasks.
`static CeaMetadata`
`createTaskMetadata(CeaTask task)`
Creates a metadata object for a CEA application providing only a single STILTS task.
`String`
`getDescription()`
Returns description text for this application.
`String`
`getIvorn()`
Returns the application ID.
`String`
`getLongName()`
Returns the long name of the application.
`String`
`getRefUrl()`
Returns the URL for reference documentation.
`String`
`getShortName()`
Returns the short name of the application.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CeaMetadata

public CeaMetadata(String ivorn, String shortName, String longName, String refUrl, String description)
Constructor.

Parameters:
  `ivorn` - application ID
  `shortName` - short name
  `longName` - long name
  `refUrl` - URL for reference documentation
  `description` - textual description

## Method Details

### getIvorn

public String getIvorn()
Returns the application ID.

Returns:
  ivorn

### getShortName

public String getShortName()
Returns the short name of the application.

Returns:
  short name

### getLongName

public String getLongName()
Returns the long name of the application.

Returns:
  long name

### getRefUrl

public String getRefUrl()
Returns the URL for reference documentation.

Returns:
  reference URL

### getDescription

public String getDescription()
Returns description text for this application.

Returns:
  description

### createStiltsMetadata

public static CeaMetadata createStiltsMetadata(CeaTask[] tasks)
Creates a metadata object for the STILTS application with a given list of tasks.

Parameters:
  `tasks` - tasks to include in this deployment
Returns:
  new metadata object

### createTaskMetadata

public static CeaMetadata createTaskMetadata(CeaTask task)
Creates a metadata object for a CEA application providing only a single STILTS task.

Parameters:
  `task` - single task
Returns:
  new metadata object